petsc-3.7.7 2017-09-25
Report Typos and Errors

# VecCUSPRestoreArrayRead

Restore a CUSP device vector previously acquired with VecCUSPGetArrayRead().

### Synopsis

    PETSC_EXTERN PetscErrorCode VecCUSPRestoreArrayRead(Vec v, CUSPARRAY **a)

If the data on the host side was previously up to date it will remain so, i.e. data on both the device and the host is up to date. Accessing data on the host side e.g. with VecGetArray() does not incur a device to host data transfer.

### Input Parameter

| v | - the vector
| a | - the CUSP device vector. This pointer is invalid after VecCUSPRestoreArrayRead() returns.

### Fortran note

This function is not currently available from Fortran.

### See Also

VecCUSPGetArrayRead(), VecCUSPGetArrayWrite(), VecCUSPGetArrayReadWrite(), VecGetArray(), VecRestoreArray(), VecGetArrayRead()

Level:intermediate
Location:src/vec/vec/impls/seq/seqcusp/veccusp2.cu
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex47cu.cu.html